markdown2pdf

Main

# Documentation

readProcessWithExitCode'

Arguments

:: FilePath | command to run
-> [String] | any arguments
-> String | standard input
-> IO (ExitCode, String, String) | exitcode, stdout, stderr

run :: FilePath -> [String] -> IO (Either String String)

parsePandocArgs :: [String] -> IO (Maybe ([String], String))

runPandoc :: [String] -> FilePath -> IO (Either String FilePath)

runLatexRaw :: String -> FilePath -> IO (Either (Either String String) FilePath)

runLatex :: String -> FilePath -> IO (Either String FilePath)

checkLatex :: String -> (Bool, Bool, Bool, String)

checkPackages :: [String] -> [String]

runBibtex :: FilePath -> IO (Either String FilePath)

exit :: String -> IO a

saveStdin :: FilePath -> IO (Either String FilePath)

saveOutput :: FilePath -> FilePath -> IO ()

main :: IO ()